# class CSSException

###

Module | khtml
Namespace | DOM
Class | CSSException
Inherits |

### enums

- ExceptionCode { SYNTAX_ERR, INVALID_MODIFICATION_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

enum details

### methods

- CSSException (_code)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  _code | unsigned short |

- CSSException (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.CSSException |

### variables

unsigned short code | An integer indicating the type of error generated.

### enums - detail

- ExceptionCode { SYNTAX_ERR, INVALID_MODIFICATION_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

  | SYNTAX_ERR | - 0 | - |
  | INVALID_MODIFICATION_ERR | - 1 | - |
  | _EXCEPTION_OFFSET | - 1000 | - |
  | _EXCEPTION_MAX | - 1999 | - |